Browse Source

Sync with portage [Fri Sep 4 10:02:32 MSK 2020].

tags/1759
root 1 year ago
parent
commit
e8575e9c82
100 changed files with 2802 additions and 761 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. +1
    -0
      app-admin/ansible/Manifest
  4. +68
    -0
      app-admin/ansible/ansible-2.9.13.ebuild
  5. +0
    -1
      app-admin/gkrellm/Manifest
  6. +0
    -21
      app-admin/gkrellm/files/gkrellmd
  7. +2
    -2
      app-admin/gkrellm/files/gkrellmd.initd
  8. +0
    -146
      app-admin/gkrellm/gkrellm-2.3.10-r2.ebuild
  9. +0
    -150
      app-admin/gkrellm/gkrellm-2.3.11.ebuild
  10. +2
    -2
      app-admin/gkrellm/gkrellm-9999.ebuild
  11. +1
    -0
      app-admin/salt/Manifest
  12. +151
    -0
      app-admin/salt/files/salt-3001.1-tests.patch
  13. +195
    -0
      app-admin/salt/salt-3001.1.ebuild
  14. BIN
      app-cdr/Manifest.gz
  15. +1
    -1
      app-cdr/dolphin-plugins-mountiso/Manifest
  16. +0
    -0
      app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-20.08.1.ebuild
  17. BIN
      app-crypt/Manifest.gz
  18. +1
    -2
      app-crypt/gnupg/Manifest
  19. +0
    -20
      app-crypt/gnupg/files/gnupg-2.2.22-card-status.patch
  20. +0
    -165
      app-crypt/gnupg/gnupg-2.2.21.ebuild
  21. +0
    -165
      app-crypt/gnupg/gnupg-2.2.22-r1.ebuild
  22. +164
    -0
      app-crypt/gnupg/gnupg-2.2.23.ebuild
  23. +4
    -0
      app-crypt/gnupg/metadata.xml
  24. +2
    -0
      app-crypt/gpa/gpa-0.10.0.ebuild
  25. +2
    -2
      app-crypt/zulucrypt/zulucrypt-5.1.0.ebuild
  26. +2
    -2
      app-crypt/zulucrypt/zulucrypt-5.4.0.ebuild
  27. +2
    -2
      app-crypt/zulucrypt/zulucrypt-5.4.0_pre20180223.ebuild
  28. BIN
      app-dicts/Manifest.gz
  29. +2
    -2
      app-dicts/dikt/dikt-2s_p1.ebuild
  30. BIN
      app-editors/Manifest.gz
  31. +1
    -1
      app-editors/xemacs/xemacs-21.4.24-r2.ebuild
  32. +2
    -2
      app-editors/xmlcopyeditor/xmlcopyeditor-1.2.1.3-r1.ebuild
  33. BIN
      app-emulation/Manifest.gz
  34. +1
    -0
      app-emulation/docker-compose/Manifest
  35. +73
    -0
      app-emulation/docker-compose/docker-compose-1.27.0_rc3.ebuild
  36. +67
    -0
      app-emulation/docker-compose/files/docker-compose-1.27.0_rc3-setup-py.patch
  37. +1
    -1
      app-emulation/lxc/lxc-4.0.4.ebuild
  38. BIN
      app-eselect/Manifest.gz
  39. +1
    -1
      app-eselect/eselect-chuck/eselect-chuck-1.0.2.ebuild
  40. BIN
      app-i18n/Manifest.gz
  41. +1
    -0
      app-i18n/ibus-hangul/Manifest
  42. +1
    -1
      app-i18n/ibus-hangul/ibus-hangul-1.5.3-r1.ebuild
  43. +49
    -0
      app-i18n/ibus-hangul/ibus-hangul-1.5.4.ebuild
  44. +1
    -0
      app-i18n/ibus-table-chinese/Manifest
  45. +6
    -6
      app-i18n/ibus-table-chinese/ibus-table-chinese-1.8.2.ebuild
  46. +31
    -0
      app-i18n/ibus-table-chinese/ibus-table-chinese-1.8.3.ebuild
  47. +7
    -6
      app-i18n/ibus-table-chinese/metadata.xml
  48. +1
    -0
      app-i18n/ibus-table-others/Manifest
  49. +21
    -0
      app-i18n/ibus-table-others/ibus-table-others-1.3.11.ebuild
  50. +6
    -6
      app-i18n/ibus-table-others/ibus-table-others-1.3.9.ebuild
  51. BIN
      app-misc/Manifest.gz
  52. +1
    -1
      app-misc/gnutu/gnutu-2.9.ebuild
  53. +1
    -1
      app-misc/ktoblzcheck/ktoblzcheck-1.49-r2.ebuild
  54. +11
    -0
      app-misc/razertool/files/razertool-0.0.7-ar.patch
  55. +14
    -8
      app-misc/razertool/razertool-0.0.7-r4.ebuild
  56. +1
    -1
      app-misc/uptimed/uptimed-0.4.2.ebuild
  57. BIN
      app-mobilephone/Manifest.gz
  58. +1
    -0
      app-mobilephone/adb-sync/Manifest
  59. +32
    -0
      app-mobilephone/adb-sync/adb-sync-0_p20190101.ebuild
  60. BIN
      app-office/Manifest.gz
  61. +1
    -1
      app-office/lyx/lyx-2.3.5.2.ebuild
  62. +2
    -2
      app-office/projectlibre-bin/projectlibre-bin-1.6.2.ebuild
  63. BIN
      app-portage/Manifest.gz
  64. +1
    -0
      app-portage/portpeek/Manifest
  65. +30
    -0
      app-portage/portpeek/portpeek-3.1.5.ebuild
  66. +1
    -1
      app-portage/repoman/repoman-3.0.1.ebuild
  67. +1
    -0
      app-portage/tatt/metadata.xml
  68. +1
    -1
      app-portage/tatt/tatt-0.7-r1.ebuild
  69. BIN
      app-shells/Manifest.gz
  70. +1
    -1
      app-shells/bash/bash-5.0_p18.ebuild
  71. +1
    -1
      app-shells/dash/dash-0.5.11.1.ebuild
  72. BIN
      app-text/Manifest.gz
  73. +1
    -1
      app-text/dblatex/dblatex-0.3.11-r1.ebuild
  74. +1
    -0
      app-text/poppler/Manifest
  75. +124
    -0
      app-text/poppler/poppler-20.09.0.ebuild
  76. BIN
      dev-cpp/Manifest.gz
  77. +1
    -0
      dev-cpp/eigen/Manifest
  78. +1
    -3
      dev-cpp/eigen/eigen-3.3.7-r1.ebuild
  79. BIN
      dev-games/Manifest.gz
  80. +1
    -1
      dev-games/openscenegraph-qt/openscenegraph-qt-3.5.7.ebuild
  81. +1
    -1
      dev-games/openscenegraph/openscenegraph-3.6.4.ebuild
  82. BIN
      dev-lang/Manifest.gz
  83. +1
    -0
      dev-lang/erlang/Manifest
  84. +158
    -0
      dev-lang/erlang/erlang-23.0.3.ebuild
  85. +2
    -0
      dev-lang/php/Manifest
  86. +760
    -0
      dev-lang/php/php-7.3.22.ebuild
  87. +750
    -0
      dev-lang/php/php-7.4.10.ebuild
  88. +1
    -1
      dev-lang/swig/swig-4.0.0.ebuild
  89. BIN
      dev-libs/Manifest.gz
  90. +1
    -1
      dev-libs/cyrus-sasl/cyrus-sasl-2.1.27-r4.ebuild
  91. +1
    -1
      dev-libs/libgamin/libgamin-0.1.10-r6.ebuild
  92. +1
    -1
      dev-libs/libinput/libinput-1.16.1.ebuild
  93. +1
    -1
      dev-libs/libmspack/libmspack-0.10.1_alpha.ebuild
  94. +1
    -1
      dev-libs/libpcre/libpcre-8.44.ebuild
  95. +1
    -1
      dev-libs/libressl/libressl-3.1.4.ebuild
  96. +1
    -1
      dev-libs/link-grammar/link-grammar-5.8.0.ebuild
  97. +1
    -1
      dev-libs/npth/npth-1.6-r1.ebuild
  98. +1
    -0
      dev-libs/onigmo/Manifest
  99. +18
    -18
      dev-libs/onigmo/metadata.xml
  100. +3
    -3
      dev-libs/onigmo/onigmo-6.1.3.ebuild

BIN
Manifest.files.gz View File


BIN
app-admin/Manifest.gz View File


+ 1
- 0
app-admin/ansible/Manifest View File

@@ -1,2 +1,3 @@
DIST ansible-2.9.12.tar.gz 14260349 BLAKE2B 6d7fdc82489df755196b890b39c166e9639c94e4238b4bf33686a3ab17fcc92c6b3a05f80e1276795b966aaa318ec7d9003099950102c014adb1a5d730928633 SHA512 6c05c49e363d4d68516dfea448cead3e2c281d1288c9467a0b6dd083504f303df694ed1c5957ae6582b28acc937d12d13333254328e13bac430b9b7fa4354f23
DIST ansible-2.9.13.tar.gz 14261322 BLAKE2B 5de939a99cd703eaf240f536a9a4b707e3931364647782dde2bbebd5b755253594cbb1cf8c4e9f22a14fca85c9f018ee6ea26bce1cbe2145ba72e5f5ec313670 SHA512 cb08adf62df0f3650425a5d960baadd7439c7c1e95b8f9df3d08e7504f9622b9e5f7104b8700b0f1e9fe318d349a6a5728e9178f0193fb4a190456e30a2f1eb2
DIST ansible-base-2.10.0.tar.gz 5775091 BLAKE2B 2a087b1a9d675c5218e8700f5b455ff280a5dc6e66b575a47755b9936c54594300e3c22acadbe14acfd335c3be788e3d63f6ad3c5c51650cbc036c77ceec41ef SHA512 f9e9631f9ce77e55b06d01814422cbc0ca170e3fbbbd5886e4f87065b68b4d7eefe1c782f6dce14241cc548192c7b06ef778446636be02a342d4bd112000126e

+ 68
- 0
app-admin/ansible/ansible-2.9.13.ebuild View File

@@ -0,0 +1,68 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{6,7} )

inherit distutils-r1 eutils

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all

dodoc -r examples
}

+ 0
- 1
app-admin/gkrellm/Manifest View File

@@ -1,2 +1 @@
DIST gkrellm-2.3.10.tar.bz2 782794 BLAKE2B c0aac7df866d40c79667551ca4b25346da4267a0aad8853776425a08097dcfe3a24082e7e5d17db6d3936b59d10c29afa11e8a425319c19696141c02f7d95f25 SHA512 3ae0baa0d51729e1bac7b8f10e008bd7ed9d93d48cd894630e3a027565266e6458df0dcb3171fb271ca7766f4030149e3e6aa234ec191e8e223ae4dee1feb295
DIST gkrellm-2.3.11.tar.bz2 783123 BLAKE2B b68c60477e4994e9508a8e5ea39fd09ab5cf0f019fc6b4567b9482b3b1fd315dd2548daed262095b42dda43ac068295d5c3c375c5cb80c91fda76ef8b9834df2 SHA512 e4147aa90e09925b9672728f287880bde26632d77d83d3f0b9458a201593a57158d9eb8cbb31e569e0d71d91a08c9bceba29814f59e542315775663ef9fd27a9

+ 0
- 21
app-admin/gkrellm/files/gkrellmd View File

@@ -1,21 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

depend() {
need net
after lm_sensors
after hddtemp
}

start() {
ebegin "Starting GNU Krell Monitor daemon"
start-stop-daemon --start --quiet --background --pidfile /var/run/gkrellmd.pid --make-pidfile --exec /usr/bin/gkrellmd -- ${GKRELLMD_OPTS}
eend $?
}

stop() {
ebegin "Stopping GNU Krell Monitor daemon"
start-stop-daemon --stop --quiet --pidfile /var/run/gkrellmd.pid --name gkrellmd
eend $?
}

+ 2
- 2
app-admin/gkrellm/files/gkrellmd.initd View File

@@ -1,9 +1,9 @@
#!/sbin/openrc-run
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

description="gkrell system monitor daemon"
pidfile="/var/run/gkrellmd.pid"
pidfile="/run/gkrellmd.pid"
command="/usr/bin/gkrellmd"
command_args="${GKRELLMD_OPTS}"
command_background="true"


+ 0
- 146
app-admin/gkrellm/gkrellm-2.3.10-r2.ebuild View File

@@ -1,146 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit desktop multilib user systemd toolchain-funcs

MY_P="${P/_/-}"

DESCRIPTION="Single process stack of various system monitors"
HOMEPAGE="http://www.gkrellm.net/"
SRC_URI="http://gkrellm.srcbox.net/${MY_P}.tar.bz2"

LICENSE="GPL-3"
SLOT="2"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
IUSE="gnutls hddtemp libressl lm-sensors nls ntlm ssl kernel_FreeBSD X"

RDEPEND="
dev-libs/glib:2
hddtemp? ( app-admin/hddtemp )
ssl? (
gnutls? ( net-libs/gnutls )
!gnutls? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
)
lm-sensors? ( sys-apps/lm-sensors:= )
nls? ( virtual/libintl )
ntlm? ( net-libs/libntlm )
X? (
x11-libs/gdk-pixbuf
x11-libs/gtk+:2
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/pango
)"
DEPEND="${RDEPEND}
nls? ( sys-devel/gettext )"

BDEPEND="
virtual/pkgconfig
"

PATCHES=(
"${FILESDIR}"/${PN}-2.3.5-config.patch
"${FILESDIR}"/${PN}-2.3.5-width.patch
"${FILESDIR}"/${PN}-2.3.5-sansfont.patch
)

S="${WORKDIR}/${MY_P}"

DOCS=( Changelog CREDITS README )

pkg_pretend() {
if use gnutls && ! use ssl ; then
ewarn "You have enabled the \"gnutls\" USE flag but not the \"ssl\" USE flag."
ewarn "No ssl backend will be built!"
fi
}

pkg_setup() {
TARGET=
use kernel_FreeBSD && TARGET="freebsd"
}

src_prepare() {
sed -e 's:-O2 ::' \
-e 's:override CC:CFLAGS:' \
-e 's:-L/usr/X11R6/lib::' \
-i */Makefile || die "sed Makefile(s) failed"

sed -e "s:/usr/lib:${EPREFIX}/usr/$(get_libdir):" \
-e "s:/usr/local/lib:${EPREFIX}/usr/local/$(get_libdir):" \
-i src/${PN}.h || die "sed ${PN}.h failed"

default
}

src_compile() {
if use X ; then
emake \
${TARGET} \
CC="$(tc-getCC)" \
STRIP="" \
INSTALLROOT="${EPREFIX}/usr" \
INCLUDEDIR="${EPREFIX}/usr/include/gkrellm2" \
LOCALEDIR="${EPREFIX}/usr/share/locale" \
$(usex nls "" "enable_nls=0") \
$(usex lm-sensors "" "without-libsensors=yes") \
$(usex ntlm "" "without-ntlm=yes") \
$(usex ssl $(usex gnutls 'without-ssl=yes' 'without-gnutls=yes') 'without-ssl=yes without-gnutls=yes')
else
cd server || die
emake \
${TARGET} \
CC="$(tc-getCC)" \
LINK_FLAGS="$LDFLAGS -Wl,-E" \
STRIP="" \
$(usex nls "" "enable_nls=0") \
$(usex lm-sensors "" "without-libsensors=yes")
fi
}

src_install() {
if use X ; then
emake \
install${TARGET:+_}${TARGET} \
$(usex nls "" "enable_nls=0") \
STRIP="" \
INSTALLDIR="${ED}/usr/bin" \
INCLUDEDIR="${ED}/usr/include" \
LOCALEDIR="${ED}/usr/share/locale" \
PKGCONFIGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
MANDIR="${ED}/usr/share/man/man1"

docinto html
dodoc *.html

newicon src/icon.xpm ${PN}.xpm
make_desktop_entry ${PN} GKrellM ${PN}
else
dobin server/gkrellmd

insinto /usr/include/gkrellm2
doins server/gkrellmd.h
doins shared/log.h
fi

newinitd "${FILESDIR}"/gkrellmd.initd gkrellmd
newconfd "${FILESDIR}"/gkrellmd.conf gkrellmd

systemd_dounit "${FILESDIR}"/gkrellmd.service

insinto /etc
doins server/gkrellmd.conf

einstalldocs
}

pkg_preinst() {
enewgroup gkrellmd
enewuser gkrellmd -1 -1 -1 gkrellmd
}

+ 0
- 150
app-admin/gkrellm/gkrellm-2.3.11.ebuild View File

@@ -1,150 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit desktop multilib user systemd toolchain-funcs

MY_P="${P/_/-}"

DESCRIPTION="Single process stack of various system monitors"
HOMEPAGE="http://www.gkrellm.net/"
if [[ "${PV}" == 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://git.srcbox.net/gkrellm"
else
SRC_URI="http://gkrellm.srcbox.net/${MY_P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
LICENSE="GPL-3"
SLOT="2"
IUSE="gnutls hddtemp libressl lm-sensors nls ntlm ssl kernel_FreeBSD X"

RDEPEND="
dev-libs/glib:2
hddtemp? ( app-admin/hddtemp )
ssl? (
gnutls? ( net-libs/gnutls )
!gnutls? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
)
lm-sensors? ( sys-apps/lm-sensors:= )
nls? ( virtual/libintl )
ntlm? ( net-libs/libntlm )
X? (
x11-libs/gdk-pixbuf
x11-libs/gtk+:2
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/pango
)"
DEPEND="${RDEPEND}
nls? ( sys-devel/gettext )"

BDEPEND="
virtual/pkgconfig
"

PATCHES=(
"${FILESDIR}"/${PN}-2.3.5-config.patch
"${FILESDIR}"/${PN}-2.3.5-width.patch
"${FILESDIR}"/${PN}-2.3.5-sansfont.patch
)

S="${WORKDIR}/${MY_P}"

DOCS=( Changelog CREDITS README )

pkg_pretend() {
if use gnutls && ! use ssl ; then
ewarn "You have enabled the \"gnutls\" USE flag but not the \"ssl\" USE flag."
ewarn "No ssl backend will be built!"
fi
}

pkg_setup() {
TARGET=
use kernel_FreeBSD && TARGET="freebsd"
}

src_prepare() {
sed -e 's:-O2 ::' \
-e 's:override CC:CFLAGS:' \
-e 's:-L/usr/X11R6/lib::' \
-i */Makefile || die "sed Makefile(s) failed"

sed -e "s:/usr/lib:${EPREFIX}/usr/$(get_libdir):" \
-e "s:/usr/local/lib:${EPREFIX}/usr/local/$(get_libdir):" \
-i src/${PN}.h || die "sed ${PN}.h failed"

default
}

src_compile() {
if use X ; then
emake \
${TARGET} \
CC="$(tc-getCC)" \
STRIP="" \
INSTALLROOT="${EPREFIX}/usr" \
INCLUDEDIR="${EPREFIX}/usr/include/gkrellm2" \
LOCALEDIR="${EPREFIX}/usr/share/locale" \
$(usex nls "" "enable_nls=0") \
$(usex lm-sensors "" "without-libsensors=yes") \
$(usex ntlm "" "without-ntlm=yes") \
$(usex ssl $(usex gnutls 'without-ssl=yes' 'without-gnutls=yes') 'without-ssl=yes without-gnutls=yes')
else
cd server || die
emake \
${TARGET} \
CC="$(tc-getCC)" \
LINK_FLAGS="$LDFLAGS -Wl,-E" \
STRIP="" \
$(usex nls "" "enable_nls=0") \
$(usex lm-sensors "" "without-libsensors=yes")
fi
}

src_install() {
if use X ; then
emake \
install${TARGET:+_}${TARGET} \
$(usex nls "" "enable_nls=0") \
STRIP="" \
INSTALLDIR="${ED}/usr/bin" \
INCLUDEDIR="${ED}/usr/include" \
LOCALEDIR="${ED}/usr/share/locale" \
PKGCONFIGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
MANDIR="${ED}/usr/share/man/man1"

docinto html
dodoc *.html

newicon src/icon.xpm ${PN}.xpm
make_desktop_entry ${PN} GKrellM ${PN}
else
dobin server/gkrellmd

insinto /usr/include/gkrellm2
doins server/gkrellmd.h
doins shared/log.h
fi

newinitd "${FILESDIR}"/gkrellmd.initd gkrellmd
newconfd "${FILESDIR}"/gkrellmd.conf gkrellmd

systemd_dounit "${FILESDIR}"/gkrellmd.service

insinto /etc
doins server/gkrellmd.conf

einstalldocs
}

pkg_preinst() {
enewgroup gkrellmd
enewuser gkrellmd -1 -1 -1 gkrellmd
}

+ 2
- 2
app-admin/gkrellm/gkrellm-9999.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
@@ -11,7 +11,7 @@ DESCRIPTION="Single process stack of various system monitors"
HOMEPAGE="http://www.gkrellm.net/"
if [[ "${PV}" == 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://git.srcbox.net/gkrellm"
EGIT_REPO_URI="https://git.srcbox.net/gkrellm/gkrellm.git"
else
SRC_URI="http://gkrellm.srcbox.net/${MY_P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"


+ 1
- 0
app-admin/salt/Manifest View File

@@ -2,3 +2,4 @@ DIST salt-2019.2.5.tar.gz 14574347 BLAKE2B d456dd493e79640260f3ad3c964fdaaa26dd7
DIST salt-3000.2-py38-misc.patch.gz 6250 BLAKE2B 68fff80a042e6bf208ea2d9692da7a7b1e29572f1ec3c850c14743bbf2821d231f933ec4e6d6eaad12acee0b7666888a37a72872b2b082c92d8db9de988fbbec SHA512 6d4a66323a423e630f7cc73b566ed96c452c8fc3d72c25a2dd86033c4774c1c8e8b8701e1d4ee92994d4148c398d704f419023e26d8b40c8fdd63f9d79d9d52f
DIST salt-3000.2.tar.gz 15231513 BLAKE2B 2090d0f52f953a42f1685ad190750e9c76ad6e862a3272444fef063a7605f69a6c542f04165a41fb9cdaa126a878cc133d4857faa70edc5eac4bf49bdde937ab SHA512 88e8876ed8cd18e942c2194686cda68f40fa49e69e317ca488bf58e095bcf6cdf8771d93eba7960038941cc5863e13a4eea4dad5256c12da7cd8288a2c61f59d
DIST salt-3000.3.tar.gz 15237557 BLAKE2B ab51e07f56f9e02c47da58fad95c9482ea70e0685996a78e34382eadb3a9a3dace63ef65d643a9de284ea00c34785eae631d033f32e00e59eb3639514459af33 SHA512 a4697da9a2f7d484b72145e8b83f6d9032369f87e2e7119a9d51f59b989488285406543f79142fc686c41c144f5878eefba37927137581c892c88f03fc3a8208
DIST salt-3001.1.tar.gz 14556156 BLAKE2B 3088955a07b6ff95588f5b6235e0bae9cea366e957e026bacd228af9f1ed500f88f7fb543833f2398d64fe7e4546f0f29d7c65362464097bf89424174e76c954 SHA512 d59b6c3580d3379192f36e462385c74b53b0b385e63b3db7734003d0a71df8f88593a59eeccd86b1dc15800e46d050094e7a88f2636673770ddc952d0110ca29

+ 151
- 0
app-admin/salt/files/salt-3001.1-tests.patch View File

@@ -0,0 +1,151 @@
diff --git a/tests/integration/master/test_event_return.py b/tests/integration/master/test_event_return.py
index 1a97be0e5f..93c57f08ff 100644
--- a/tests/integration/master/test_event_return.py
+++ b/tests/integration/master/test_event_return.py
@@ -18,7 +18,7 @@ import time
import salt.ext.six as six
from salt.utils.nb_popen import NonBlockingPopen
from saltfactories.utils.ports import get_unused_localhost_port
-from saltfactories.utils.processes.helpers import terminate_process
+from saltfactories.utils.processes import terminate_process
from tests.support.cli_scripts import ScriptPathMixin
from tests.support.mixins import AdaptedConfigurationTestCaseMixin
from tests.support.runtests import RUNTIME_VARS
diff --git a/tests/integration/utils/testprogram.py b/tests/integration/utils/testprogram.py
index 74bbc1cd90..be651591d1 100644
--- a/tests/integration/utils/testprogram.py
+++ b/tests/integration/utils/testprogram.py
@@ -30,7 +30,7 @@ import salt.utils.psutil_compat as psutils
import salt.utils.yaml
from salt.ext import six
from salt.ext.six.moves import range
-from saltfactories.utils.processes.helpers import (
+from saltfactories.utils.processes import (
terminate_process,
terminate_process_list,
)
diff --git a/tests/support/case.py b/tests/support/case.py
index 9017027ae3..517cefb64a 100644
--- a/tests/support/case.py
+++ b/tests/support/case.py
@@ -25,7 +25,7 @@ import time
from datetime import datetime, timedelta
import salt.utils.files
-from saltfactories.utils.processes.helpers import terminate_process
+from saltfactories.utils.processes import terminate_process
from tests.support.cli_scripts import ScriptPathMixin
from tests.support.helpers import RedirectStdStreams, requires_sshd_server
from tests.support.mixins import ( # pylint: disable=unused-import
diff --git a/tests/support/helpers.py b/tests/support/helpers.py
index bae2dceff4..93fbb66742 100644
--- a/tests/support/helpers.py
+++ b/tests/support/helpers.py
@@ -42,7 +42,7 @@ import salt.utils.versions
from salt.ext import six
from salt.ext.six.moves import builtins, range
from saltfactories.utils.ports import get_unused_localhost_port
-from saltfactories.utils.processes.bases import ProcessResult
+from saltfactories.utils.processes import ProcessResult
from tests.support.mock import patch
from tests.support.runtests import RUNTIME_VARS
from tests.support.sminion import create_sminion
@@ -1674,7 +1674,7 @@ class VirtualEnv(object):
kwargs.setdefault("stderr", subprocess.PIPE)
kwargs.setdefault("universal_newlines", True)
proc = subprocess.run(args, check=False, **kwargs)
- ret = ProcessResult(proc.returncode, proc.stdout, proc.stderr, proc.args)
+ ret = ProcessResult(proc.returncode, proc.stdout, proc.stderr, cmdline=proc.args)
log.debug(ret)
if check is True:
proc.check_returncode()
diff --git a/tests/support/paths.py b/tests/support/paths.py
index 1e1e081dc4..981aa54eb7 100644
--- a/tests/support/paths.py
+++ b/tests/support/paths.py
@@ -49,14 +49,12 @@ if TESTS_DIR not in sys.path:
sys.path.insert(1, TESTS_DIR)
SYS_TMP_DIR = os.path.abspath(
- os.path.realpath(
- # Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
- # for unix sockets: ``error: AF_UNIX path too long``
- # Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
- os.environ.get("TMPDIR", tempfile.gettempdir())
- if not sys.platform.startswith("darwin")
- else "/tmp"
- )
+ # Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
+ # for unix sockets: ``error: AF_UNIX path too long``
+ # Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
+ os.environ.get("TMPDIR", tempfile.gettempdir())
+ if not sys.platform.startswith("darwin")
+ else "/tmp"
)
TMP = os.path.join(SYS_TMP_DIR, "salt-tests-tmpdir")
TMP_ROOT_DIR = os.path.join(TMP, "rootdir")
diff --git a/tests/support/processes.py b/tests/support/processes.py
index 4f264862a4..7c93e48368 100644
--- a/tests/support/processes.py
+++ b/tests/support/processes.py
@@ -14,7 +14,7 @@ from __future__ import absolute_import
import logging
-from saltfactories.utils.processes.helpers import ( # pylint: disable=unused-import
+from saltfactories.utils.processes import ( # pylint: disable=unused-import
collect_child_processes,
terminate_process,
terminate_process_list,
diff --git a/tests/unit/utils/scheduler/base.py b/tests/unit/utils/scheduler/base.py
index 5d7f161eb5..286e047e40 100644
--- a/tests/unit/utils/scheduler/base.py
+++ b/tests/unit/utils/scheduler/base.py
@@ -14,7 +14,7 @@ import salt.utils.platform
import salt.utils.schedule
from salt.modules.test import ping
from salt.utils.process import SubprocessList
-from saltfactories.utils.processes.helpers import terminate_process
+from saltfactories.utils.processes import terminate_process
from tests.support.mixins import SaltReturnAssertsMixin
from tests.support.mock import MagicMock, patch
from tests.support.runtests import RUNTIME_VARS
diff --git a/tests/unit/utils/test_event.py b/tests/unit/utils/test_event.py
index 9a3b1c428d..dfcf1c5275 100644
--- a/tests/unit/utils/test_event.py
+++ b/tests/unit/utils/test_event.py
@@ -21,7 +21,7 @@ import zmq
import zmq.eventloop.ioloop
from salt.ext.six.moves import range
from salt.ext.tornado.testing import AsyncTestCase
-from saltfactories.utils.processes.helpers import terminate_process
+from saltfactories.utils.processes import terminate_process
from tests.support.events import eventpublisher_process, eventsender_process
from tests.support.helpers import slowTest
from tests.support.runtests import RUNTIME_VARS
diff --git a/tests/unit/utils/test_verify.py b/tests/unit/utils/test_verify.py
index 5662cf621b..0339c353dc 100644
--- a/tests/unit/utils/test_verify.py
+++ b/tests/unit/utils/test_verify.py
@@ -343,7 +343,7 @@ class TestCleanPath(TestCase):
def test_clean_path_valid(self):
path_a = os.path.join(self.tmpdir, "foo")
path_b = os.path.join(self.tmpdir, "foo", "bar")
- assert clean_path(path_a, path_b) == path_b
+ assert clean_path(path_a, path_b) == os.path.realpath(path_b)
def test_clean_path_invalid(self):
path_a = os.path.join(self.tmpdir, "foo")
@@ -398,10 +398,10 @@ class TestCleanPathLink(TestCase):
test_path = os.path.join(self.from_path, "test")
expect_path = os.path.join(self.to_path, "test")
ret = clean_path(self.from_path, test_path)
- assert ret == expect_path, "{} is not {}".format(ret, expect_path)
+ assert ret == os.path.realpath(expect_path), "{} is not {}".format(ret, expect_path)
def test_clean_path_symlinked_tgt(self):
test_path = os.path.join(self.to_path, "test")
expect_path = os.path.join(self.to_path, "test")
ret = clean_path(self.from_path, test_path)
- assert ret == expect_path, "{} is not {}".format(ret, expect_path)
+ assert ret == os.path.realpath(expect_path), "{} is not {}".format(ret, expect_path)

+ 195
- 0
app-admin/salt/salt-3001.1.ebuild View File

@@ -0,0 +1,195 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3_{7..8} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit systemd distutils-r1

DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="https://www.saltstack.com/resources/community/
https://github.com/saltstack"

if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi

LICENSE="Apache-2.0"
SLOT="0"
IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
mongodb neutron nova openssl portage profile redis selinux test raet
+zeromq vim-syntax"

RDEPEND="
sys-apps/pciutils
dev-python/distro[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.5[${PYTHON_USEDEP}]
<dev-python/msgpack-1.0[${PYTHON_USEDEP}]
>=dev-python/pycryptodome-3.9.7[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/toml[${PYTHON_USEDEP}]
dev-python/watchdog[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? (
$(python_gen_cond_dep 'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_7)
)
openssl? (
dev-libs/openssl:0=[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
nova? (
$(python_gen_cond_dep '>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_7)
)
neutron? (
$(python_gen_cond_dep '>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_7)
)
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )
zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
${RDEPEND}
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
>=dev-python/pytest-salt-2020.1.27[${PYTHON_USEDEP}]
dev-python/pytest-salt-factories[${PYTHON_USEDEP}]
dev-python/pytest-tempdir[${PYTHON_USEDEP}]
>=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
>=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.3.15[${PYTHON_USEDEP}] )
)"

DOCS=( README.rst AUTHORS )

REQUIRED_USE="|| ( raet zeromq )
test? ( cheetah genshi )"
RESTRICT="!test? ( test ) x86? ( test )"

PATCHES=(
#"${FILESDIR}/salt-2017.7.0-dont-realpath-tmpdir.patch"
"${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-3001.1-tests.patch"
#"${FILESDIR}/salt-3000.2-tests.patch"

# https://github.com/saltstack/salt/pull/55410
#"${FILESDIR}/salt-3000.2-py38.patch"

# https://github.com/saltstack/salt/pull/55900
#"${FILESDIR}/salt-3000.2-py38-abc.patch"

# misc py38 fixups
#"${WORKDIR}/salt-3000.2-py38-misc.patch"
#"${FILESDIR}/salt-3000.2-py38-logwarn.patch"
)

python_prepare() {
# remove tests with external dependencies that may not be available
rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py} || die
rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
rm tests/unit/states/test_boto_vpc.py || die
rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die

# tests that require network access
rm tests/unit/{states,modules}/test_zcbuildout.py || die

# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die

einfo "Fixing collections.abc warnings for ${EPYTHON}"
local abc
abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die

# allow the use of the renamed msgpack
sed -i '/^msgpack/d' requirements/base.txt || die
}

python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all

for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done

insinto /etc/${PN}
doins -r conf/*
}

python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die

# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"

(
cleanup() { rm -f "${tempdir}" || die; }

trap cleanup EXIT

addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die

USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose \
|| die "testing failed with ${EPYTHON}"
)
}

pkg_postinst() {
if use python_targets_python3_8; then
if use nova; then
ewarn "Salt's nova functionality will not work with python3.8 since"
ewarn "dev-python/python-novaclient does not support it yet"
fi
if use neutron; then
ewarn "Salt's neutron functionality will not work with python3.8 since"
ewarn "dev-python/python-neutronclient does not support it yet"
fi
if use libvirt; then
ewarn "Salt's libvirt functionality will not work with python3.8 since"
ewarn "dev-python/libvirt-python does not support it yet"
fi
fi
}

BIN
app-cdr/Manifest.gz View File


+ 1
- 1
app-cdr/dolphin-plugins-mountiso/Manifest View File

@@ -1 +1 @@
DIST dolphin-plugins-20.08.0.tar.xz 227076 BLAKE2B 363636a0ad68b702e905cea14ca06311372b3fb647c57ea59375a859ad95d32cb2dbd851d209b991ffa143b85dcf1594cfd6493defa4886ebad6d201cf63d256 SHA512 4a9578bc9c20c9bcbb282369b7ac6955bdf1de20609762c2d0b396bd24a0a561422eda961f44761f59a2741db8b5191c8c6feb972d4a54a386ebb0fde67de5cb
DIST dolphin-plugins-20.08.1.tar.xz 228072 BLAKE2B f6d0b0945eb1d9872ef20468e7e8df308d240909eda12bda00181f088c0ede3462f5b8560416500c1f199c1587a544cb65b41b5f89b89f2d493e57d077fc5b73 SHA512 e4f0a8899fd26055a80081236e4a9e14ea5d73c011ee0bf6cc934f599d24047adf86b16ff7164edcc59e101f11ad5364d9381f6852a11d6d36571366ff135e7b

app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-20.08.0.ebuild → app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-20.08.1.ebuild View File


BIN
app-crypt/Manifest.gz View File


+ 1
- 2
app-crypt/gnupg/Manifest View File

@@ -1,3 +1,2 @@
DIST gnupg-2.2.20.tar.bz2 6786913 BLAKE2B 43cf9402a26e67d6c7c2444eb2faaee3f06ea0bf6c07708a50834c5d7424db2f9c38e1f0046dd3a35082abc08d401b2951655e7e068f0873db297560b87d2667 SHA512 3e69f102366ec3415f439ab81aae2458182fa1a18dfb86565b1d9dc638f3fc4c179a5947f0042b7c5a813345676285a662793664a1803ea9ad8328f0548e0edc
DIST gnupg-2.2.21.tar.bz2 6813160 BLAKE2B b4708fd34c23dec8ec5be0740a502d155b649b4c88a89e5cc6f3cb99a15f7c6e31c50247ccacfedad55600dac3e7f91a8567424d335ab5e537082261dc98aceb SHA512 b4eac75253d4a1cac341c8a1ba7bb275e849a88d5377035497777c7bcd49b5a4c91b77000311695eb7d4083856975b2b2d14518f24ab94846027280bd8c301f9
DIST gnupg-2.2.22.tar.bz2 7098444 BLAKE2B b5f306485032acadc852f4f71f2e968795843faacd5dda24ed2b20df78a3d38a364c2feade7ef8389a203e8b037fbb92129207cbc6d60b89cfb0945dded56a97 SHA512 3e5a8bb91c122f97acee2a93e3233db89bff9b96c6ec052c95bd2fe7e46c79a8afaac536c05675a7129e332272d62c677722a12cb05386b54a8d12ef82b6c5fa
DIST gnupg-2.2.23.tar.bz2 7099806 BLAKE2B 0b9c1f5c8931399cfd9d95f107f91869733c4a986476ea43631b4265b1a5c26cfb8c9bb24ef6a295af7aa803749caaedde26365f6f50a7c946c1f86c867d855d SHA512 736b39628f7e4adc650b3f9937c81f27e9ad41e77f5345dc54262c91c1cf7004243fa7f932313bcde955e0e9b3f1afc639bac18023ae878b1d26e3c5a3cabb90

+ 0
- 20
app-crypt/gnupg/files/gnupg-2.2.22-card-status.patch View File

@@ -1,20 +0,0 @@
diff --git a/scd/app-openpgp.c b/scd/app-openpgp.c
index 8a1d30d5b..ccc360fc8 100644
--- a/scd/app-openpgp.c
+++ b/scd/app-openpgp.c
@@ -2357,10 +2357,15 @@ verify_chv2 (app_t app,
int rc;
char *pinvalue;
int pinlen;
+ int i;
if (app->did_chv2)
return 0; /* We already verified CHV2. */
+ /* Make sure we have load the public keys. */
+ for (i = 0; i < 3; i++)
+ get_public_key (app, i);
+
if (app->app_local->pk[1].key || app->app_local->pk[2].key)
{
rc = verify_a_chv (app, pincb, pincb_arg, 2, 0, &pinvalue, &pinlen);

+ 0
- 165
app-crypt/gnupg/gnupg-2.2.21.ebuild View File

@@ -1,165 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit flag-o-matic systemd toolchain-funcs

MY_P="${P/_/-}"

DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="https://gnupg.org/"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc ldap nls readline selinux +smartcard ssl tofu tools usb user-socket wks-server"

# Existence of executables is checked during configuration.
DEPEND=">=dev-libs/libassuan-2.5.0
>=dev-libs/libgcrypt-1.7.3
>=dev-libs/libgpg-error-1.28
>=dev-libs/libksba-1.3.4
>=dev-libs/npth-1.2
>=net-misc/curl-7.10
bzip2? ( app-arch/bzip2 )
ldap? ( net-nds/openldap )
readline? ( sys-libs/readline:0= )
smartcard? ( usb? ( virtual/libusb:1 ) )
ssl? ( >=net-libs/gnutls-3.0:0= )
sys-libs/zlib
tofu? ( >=dev-db/sqlite-3.7 )"

RDEPEND="${DEPEND}
app-crypt/pinentry
nls? ( virtual/libintl )
selinux? ( sec-policy/selinux-gpg )
wks-server? ( virtual/mta )"

BDEPEND="virtual/pkgconfig
doc? ( sys-apps/texinfo )
nls? ( sys-devel/gettext )"

S="${WORKDIR}/${MY_P}"

DOCS=(
ChangeLog NEWS README THANKS TODO VERSION
doc/FAQ doc/DETAILS doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER
)

PATCHES=(
"${FILESDIR}/${PN}-2.1.20-gpgscm-Use-shorter-socket-path-lengts-to-improve-tes.patch"
"${FILESDIR}/${PN}-2.2.20-fix-dirmngr-for-non-ipv6-enabled-hosts.patch"
)

src_prepare() {
default

# Inject SSH_AUTH_SOCK into user's sessions after enabling gpg-agent-ssh.socket in systemctl --user mode,
# idea borrowed from libdbus, see
# https://gitlab.freedesktop.org/dbus/dbus/-/blob/master/bus/systemd-user/dbus.socket.in#L6
#
# This cannot be upstreamed, as it requires determining the exact prefix of 'systemctl',
# which in turn requires discovery in Autoconf, something that upstream deeply resents.
sed -e "/DirectoryMode=/a ExecStartPost=-${EPREFIX}/bin/systemctl --user set-environment SSH_AUTH_SOCK=%t/gnupg/S.gpg-agent.ssh" \
-i doc/examples/systemd-user/gpg-agent-ssh.socket || die
}

src_configure() {
local myconf=()

if use prefix && use usb; then
# bug #649598
append-cppflags -I"${EPREFIX}/usr/include/libusb-1.0"
fi

if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi

#bug 663142
if use user-socket; then
myconf+=( --enable-run-gnupg-user-socket )
fi

# glib fails and picks up clang's internal stdint.h causing weird errors
[[ ${CC} == *clang ]] && \
export gl_cv_absolute_stdint_h=/usr/include/stdint.h

# Hardcode mailprog to /usr/libexec/sendmail even if it does not exist.
# As of GnuPG 2.3, the mailprog substitution is used for the binary called
# by wks-client & wks-server; and if it's autodetected but not not exist at
# build time, then then 'gpg-wks-client --send' functionality will not
# work. This has an unwanted side-effect in stage3 builds: there was a
# [R]DEPEND on virtual/mta, which also brought in virtual/logger, bloating
# the build where the install guide previously make the user chose the
# logger & mta early in the install.

econf \
"${myconf[@]}" \
$(use_enable bzip2) \
$(use_enable nls) \
$(use_enable smartcard scdaemon) \
$(use_enable ssl gnutls) \
$(use_enable tofu) \
$(use smartcard && use_enable usb ccid-driver || echo '--disable-ccid-driver') \
$(use_enable wks-server wks-tools) \
$(use_with ldap) \
$(use_with readline) \
--with-mailprog=/usr/libexec/sendmail \
--disable-ntbtls \
--enable-all-tests \
--enable-gpg \
--enable-gpgsm \
--enable-large-secmem \
CC_FOR_BUILD="$(tc-getBUILD_CC)" \
GPG_ERROR_CONFIG="${EROOT}/usr/bin/${CHOST}-gpg-error-config" \
KSBA_CONFIG="${EROOT}/usr/bin/ksba-config" \
LIBASSUAN_CONFIG="${EROOT}/usr/bin/libassuan-config" \
LIBGCRYPT_CONFIG="${EROOT}/usr/bin/${CHOST}-libgcrypt-config" \
NPTH_CONFIG="${EROOT}/usr/bin/npth-config" \
$("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
}

src_compile() {
default

use doc && emake -C doc html
}

src_test() {
#Bug: 638574
use tofu && export TESTFLAGS=--parallel
default
}

src_install() {
default

use tools &&
dobin \
tools/{convert-from-106,gpg-check-pattern} \
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys} \
tools/make-dns-cert

dosym gpg /usr/bin/gpg2
dosym gpgv /usr/bin/gpgv2
echo ".so man1/gpg.1" > "${ED}"/usr/share/man/man1/gpg2.1 || die
echo ".so man1/gpgv.1" > "${ED}"/usr/share/man/man1/gpgv2.1 || die

dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg || die

use doc && dodoc doc/gnupg.html/* doc/*.png

systemd_douserunit doc/examples/systemd-user/*.{service,socket}
}

pkg_postinst() {
elog "See https://wiki.gentoo.org/wiki/GnuPG for documentation on gnupg"
elog
elog "If you wish to use 'gpg-wks-client --send', you must install an MTA!"
}

+ 0
- 165
app-crypt/gnupg/gnupg-2.2.22-r1.ebuild View File

@@ -1,165 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit flag-o-matic systemd toolchain-funcs

MY_P="${P/_/-}"

DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="https://gnupg.org/"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc ldap nls readline selinux +smartcard ssl tofu tools usb user-socket wks-server"

# Existence of executables is checked during configuration.
DEPEND=">=dev-libs/libassuan-2.5.0
>=dev-libs/libgcrypt-1.7.3
>=dev-libs/libgpg-error-1.29
>=dev-libs/libksba-1.3.4
>=dev-libs/npth-1.2
>=net-misc/curl-7.10
bzip2? ( app-arch/bzip2 )
ldap? ( net-nds/openldap )
readline? ( sys-libs/readline:0= )
smartcard? ( usb? ( virtual/libusb:1 ) )
ssl? ( >=net-libs/gnutls-3.0:0= )
sys-libs/zlib
tofu? ( >=dev-db/sqlite-3.7 )"

RDEPEND="${DEPEND}
app-crypt/pinentry
nls? ( virtual/libintl )
selinux? ( sec-policy/selinux-gpg )
wks-server? ( virtual/mta )"

BDEPEND="virtual/pkgconfig
doc? ( sys-apps/texinfo )
nls? ( sys-devel/gettext )"

S="${WORKDIR}/${MY_P}"

DOCS=(
ChangeLog NEWS README THANKS TODO VERSION
doc/FAQ doc/DETAILS doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER
)

PATCHES=(
"${FILESDIR}/${PN}-2.1.20-gpgscm-Use-shorter-socket-path-lengts-to-improve-tes.patch"
"${FILESDIR}/${P}-card-status.patch"
)

src_prepare() {
default

# Inject SSH_AUTH_SOCK into user's sessions after enabling gpg-agent-ssh.socket in systemctl --user mode,
# idea borrowed from libdbus, see
# https://gitlab.freedesktop.org/dbus/dbus/-/blob/master/bus/systemd-user/dbus.socket.in#L6
#
# This cannot be upstreamed, as it requires determining the exact prefix of 'systemctl',
# which in turn requires discovery in Autoconf, something that upstream deeply resents.
sed -e "/DirectoryMode=/a ExecStartPost=-${EPREFIX}/bin/systemctl --user set-environment SSH_AUTH_SOCK=%t/gnupg/S.gpg-agent.ssh" \
-i doc/examples/systemd-user/gpg-agent-ssh.socket || die
}

src_configure() {
local myconf=()

if use prefix && use usb; then
# bug #649598
append-cppflags -I"${EPREFIX}/usr/include/libusb-1.0"
fi

if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi

#bug 663142
if use user-socket; then
myconf+=( --enable-run-gnupg-user-socket )
fi

# glib fails and picks up clang's internal stdint.h causing weird errors
[[ ${CC} == *clang ]] && \
export gl_cv_absolute_stdint_h=/usr/include/stdint.h

# Hardcode mailprog to /usr/libexec/sendmail even if it does not exist.
# As of GnuPG 2.3, the mailprog substitution is used for the binary called
# by wks-client & wks-server; and if it's autodetected but not not exist at
# build time, then then 'gpg-wks-client --send' functionality will not
# work. This has an unwanted side-effect in stage3 builds: there was a
# [R]DEPEND on virtual/mta, which also brought in virtual/logger, bloating
# the build where the install guide previously make the user chose the
# logger & mta early in the install.

econf \
"${myconf[@]}" \
$(use_enable bzip2) \
$(use_enable nls) \
$(use_enable smartcard scdaemon) \
$(use_enable ssl gnutls) \
$(use_enable tofu) \
$(use smartcard && use_enable usb ccid-driver || echo '--disable-ccid-driver') \
$(use_enable wks-server wks-tools) \
$(use_with ldap) \
$(use_with readline) \
--with-mailprog=/usr/libexec/sendmail \
--disable-ntbtls \
--enable-all-tests \
--enable-gpg \
--enable-gpgsm \
--enable-large-secmem \
CC_FOR_BUILD="$(tc-getBUILD_CC)" \
GPG_ERROR_CONFIG="${EROOT}/usr/bin/${CHOST}-gpg-error-config" \
KSBA_CONFIG="${EROOT}/usr/bin/ksba-config" \
LIBASSUAN_CONFIG="${EROOT}/usr/bin/libassuan-config" \
LIBGCRYPT_CONFIG="${EROOT}/usr/bin/${CHOST}-libgcrypt-config" \
NPTH_CONFIG="${EROOT}/usr/bin/npth-config" \
$("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
}

src_compile() {
default

use doc && emake -C doc html
}

src_test() {
#Bug: 638574
use tofu && export TESTFLAGS=--parallel
default
}

src_install() {
default

use tools &&
dobin \
tools/{convert-from-106,gpg-check-pattern} \
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys} \
tools/make-dns-cert

dosym gpg /usr/bin/gpg2
dosym gpgv /usr/bin/gpgv2
echo ".so man1/gpg.1" > "${ED}"/usr/share/man/man1/gpg2.1 || die
echo ".so man1/gpgv.1" > "${ED}"/usr/share/man/man1/gpgv2.1 || die

dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg || die

use doc && dodoc doc/gnupg.html/* doc/*.png

systemd_douserunit doc/examples/systemd-user/*.{service,socket}
}

pkg_postinst() {
elog "See https://wiki.gentoo.org/wiki/GnuPG for documentation on gnupg"
elog
elog "If you wish to use 'gpg-wks-client --send', you must install an MTA!"
}

+ 164
- 0
app-crypt/gnupg/gnupg-2.2.23.ebuild View File

@@ -0,0 +1,164 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit flag-o-matic systemd toolchain-funcs

MY_P="${P/_/-}"

DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="https://gnupg.org/"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc ldap nls readline selinux +smartcard ssl tofu tools usb user-socket wks-server"

# Existence of executables is checked during configuration.
DEPEND=">=dev-libs/libassuan-2.5.0
>=dev-libs/libgcrypt-1.7.3
>=dev-libs/libgpg-error-1.29
>=dev-libs/libksba-1.3.4
>=dev-libs/npth-1.2
>=net-misc/curl-7.10
bzip2? ( app-arch/bzip2 )
ldap? ( net-nds/openldap )
readline? ( sys-libs/readline:0= )
smartcard? ( usb? ( virtual/libusb:1 ) )
ssl? ( >=net-libs/gnutls-3.0:0= )
sys-libs/zlib
tofu? ( >=dev-db/sqlite-3.7 )"

RDEPEND="${DEPEND}
app-crypt/pinentry
nls? ( virtual/libintl )
selinux? ( sec-policy/selinux-gpg )
wks-server? ( virtual/mta )"

BDEPEND="virtual/pkgconfig
doc? ( sys-apps/texinfo )
nls? ( sys-devel/gettext )"

S="${WORKDIR}/${MY_P}"

DOCS=(
ChangeLog NEWS README THANKS TODO VERSION
doc/FAQ doc/DETAILS doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER
)

PATCHES=(
"${FILESDIR}/${PN}-2.1.20-gpgscm-Use-shorter-socket-path-lengts-to-improve-tes.patch"
)

src_prepare() {
default

# Inject SSH_AUTH_SOCK into user's sessions after enabling gpg-agent-ssh.socket in systemctl --user mode,
# idea borrowed from libdbus, see
# https://gitlab.freedesktop.org/dbus/dbus/-/blob/master/bus/systemd-user/dbus.socket.in#L6
#
# This cannot be upstreamed, as it requires determining the exact prefix of 'systemctl',
# which in turn requires discovery in Autoconf, something that upstream deeply resents.
sed -e "/DirectoryMode=/a ExecStartPost=-${EPREFIX}/bin/systemctl --user set-environment SSH_AUTH_SOCK=%t/gnupg/S.gpg-agent.ssh" \
-i doc/examples/systemd-user/gpg-agent-ssh.socket || die
}

src_configure() {
local myconf=(
$(use_enable bzip2)
$(use_enable nls)
$(use_enable smartcard scdaemon)
$(use_enable ssl gnutls)
$(use_enable tofu)
$(use smartcard && use_enable usb ccid-driver || echo '--disable-ccid-driver')
$(use_enable wks-server wks-tools)
$(use_with ldap)
$(use_with readline)
--with-mailprog=/usr/libexec/sendmail
--disable-ntbtls
--enable-all-tests
--enable-gpg
--enable-gpgsm
--enable-large-secmem
CC_FOR_BUILD="$(tc-getBUILD_CC)"
GPG_ERROR_CONFIG="${EROOT}/usr/bin/${CHOST}-gpg-error-config"
KSBA_CONFIG="${EROOT}/usr/bin/ksba-config"
LIBASSUAN_CONFIG="${EROOT}/usr/bin/libassuan-config"
LIBGCRYPT_CONFIG="${EROOT}/usr/bin/${CHOST}-libgcrypt-config"
NPTH_CONFIG="${EROOT}/usr/bin/npth-config"
$("${S}/configure" --help | grep -o -- '--without-.*-prefix')
)

if use prefix && use usb; then
# bug #649598
append-cppflags -I"${EPREFIX}/usr/include/libusb-1.0"
fi

if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi

#bug 663142
if use user-socket; then
myconf+=( --enable-run-gnupg-user-socket )
fi

# glib fails and picks up clang's internal stdint.h causing weird errors
[[ ${CC} == *clang ]] && \
export gl_cv_absolute_stdint_h=/usr/include/stdint.h

# Hardcode mailprog to /usr/libexec/sendmail even if it does not exist.
# As of GnuPG 2.3, the mailprog substitution is used for the binary called
# by wks-client & wks-server; and if it's autodetected but not not exist at
# build time, then then 'gpg-wks-client --send' functionality will not
# work. This has an unwanted side-effect in stage3 builds: there was a
# [R]DEPEND on virtual/mta, which also brought in virtual/logger, bloating
# the build where the install guide previously make the user chose the
# logger & mta early in the install.

econf "${myconf[@]}"
}

src_compile() {
default

use doc && emake -C doc html
}

src_test() {
#Bug: 638574
use tofu && export TESTFLAGS=--parallel
default
}

src_install() {
default

use tools &&
dobin \
tools/{convert-from-106,gpg-check-pattern} \
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys} \
tools/make-dns-cert

dosym gpg /usr/bin/gpg2
dosym gpgv /usr/bin/gpgv2
echo ".so man1/gpg.1" > "${ED}"/usr/share/man/man1/gpg2.1 || die
echo ".so man1/gpgv.1" > "${ED}"/usr/share/man/man1/gpgv2.1 || die

dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg || die

use doc && dodoc doc/gnupg.html/* doc/*.png

systemd_douserunit doc/examples/systemd-user/*.{service,socket}
}

pkg_postinst() {
elog "See https://wiki.gentoo.org/wiki/GnuPG for documentation on gnupg"
elog
elog "If you wish to use 'gpg-wks-client --send', you must install an MTA!"
}

+ 4
- 0
app-crypt/gnupg/metadata.xml View File

@@ -9,6 +9,10 @@
<email>zlogene@gentoo.org</email>
<name>Mikle Kolyada</name>
</maintainer>
<maintainer type="person">
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>
</maintainer>
<use>
<flag name="smartcard">
Build scdaemon software. Enables usage of OpenPGP cards. For


+ 2
- 0
app-crypt/gpa/gpa-0.10.0.ebuild View File

@@ -3,6 +3,8 @@

EAPI=7

inherit xdg

DESCRIPTION="The GNU Privacy Assistant (GPA) is a graphical user interface for GnuPG"
HOMEPAGE="http://gpa.wald.intevation.org"
SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"


+ 2
- 2
app-crypt/zulucrypt/zulucrypt-5.1.0.ebuild View File

@@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit cmake-utils
inherit cmake-utils xdg

DESCRIPTION="Front end to cryptsetup"
HOMEPAGE="https://mhogomchungu.github.io/zuluCrypt/"


+ 2
- 2
app-crypt/zulucrypt/zulucrypt-5.4.0.ebuild View File

@@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit cmake-utils
inherit cmake-utils xdg

DESCRIPTION="Front end to cryptsetup"
HOMEPAGE="https://mhogomchungu.github.io/zuluCrypt/"


+ 2
- 2
app-crypt/zulucrypt/zulucrypt-5.4.0_pre20180223.ebuild View File

@@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit cmake-utils
inherit cmake-utils xdg

DESCRIPTION="Front end to cryptsetup"
HOMEPAGE="https://mhogomchungu.github.io/zuluCrypt/"


BIN
app-dicts/Manifest.gz View File


+ 2
- 2
app-dicts/dikt/dikt-2s_p1.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
@@ -10,7 +10,7 @@ inherit ecm

DESCRIPTION="Dictionary application that implements the Dict protocol"
HOMEPAGE="https://www.dikt.tv/"
SRC_URI="https://bitbucket.org/dikt/code/downloads/${MY_P}.txz -> ${MY_P}.tar.xz"
SRC_URI="https://bitbucket-archive.softwareheritage.org/static/67/67f37093-df38-43b8-845b-2952e0a33bb3/attachments/${MY_P}.txz -> ${MY_P}.tar.xz"

LICENSE="BSD-2"
SLOT="5"


BIN
app-editors/Manifest.gz View File


+ 1
- 1
app-editors/xemacs/xemacs-21.4.24-r2.ebuild View File

@@ -16,7 +16,7 @@ SRC_URI="http://ftp.xemacs.org/xemacs-21.4/${P}.tar.gz

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha amd64 arm64 ~hppa ~ppc ~ppc64 sparc x86"
KEYWORDS="~alpha amd64 arm64 ~hppa ~ppc ppc64 sparc x86"
IUSE="eolconv gif gpm pop postgres ldap xface nas dnd X jpeg tiff png mule motif freewnn canna xim athena neXt Xaw3d gdbm berkdb"

X_DEPEND="x11-libs/libXt x11-libs/libXmu x11-libs/libXext x11-misc/xbitmaps"


+ 2
- 2
app-editors/xmlcopyeditor/xmlcopyeditor-1.2.1.3-r1.ebuild View File

@@ -1,10 +1,10 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
WX_GTK_VER="3.0"

inherit autotools wxwidgets
inherit autotools wxwidgets xdg

DESCRIPTION="XML Copy Editor is a fast, free, validating XML editor"
HOMEPAGE="http://xml-copy-editor.sourceforge.net/"


BIN
app-emulation/Manifest.gz View File


+ 1
- 0
app-emulation/docker-compose/Manifest View File

@@ -4,3 +4,4 @@ DIST docker-compose-1.26.1.tar.gz 313459 BLAKE2B 8320842047700bf5d38f48c21efeafc
DIST docker-compose-1.26.2.tar.gz 313494 BLAKE2B 656bac181547a3484c45d0ede7111384007db8109aaf3673a06b848bb9b27059cfb8b2cd583e6bc7acd0ebbd90d40e485251d473eefe56a6493abe187132e520 SHA512 4cb8a2f5e25f17eb842e36dea96fae8862df099d706ec590e6fc0790c7a814bed3bb60ec00207e4afc15bf8ad4ca37075320fd28ee0bea5bbec1646f3aed681f
DIST docker-compose-1.27.0_rc1.tar.gz 308050 BLAKE2B 347dc4b38feae1d045770ff981a289d9919d47cf7ecf3b46e0c7b996bb3ef6d50a7e36751ca5f996dbe8afbeb0d6fc0967945c3abda05b71024a15efae35fb6c SHA512 ae952deeee7c20f4f506c2f0126e504c2cff432056ac45547c40273d6113fe2c51d87c363f0943247989db3dcb20059c7a7839b2c5328d71a41a15cf12db6062
DIST docker-compose-1.27.0_rc2.tar.gz 308129 BLAKE2B f057d9754040375f71810bbf09cd6a88c9ff05665b4629e0cf45c457b10ff9c4bde1b7a608addb160bcc183d8559a8cb2397f7a2215c1b14ae39577bdb67826b SHA512 556a3b10144ff37996c6e3cd1562ba3fdde2618757d305ead4f861c6614f27bad0cf539885535ca61abaf9e9739bbb1c2b41c489ba87ad75f947213d4cdace19
DIST docker-compose-1.27.0_rc3.tar.gz 308370 BLAKE2B 094a28a4de8f32dfd82e0720a68cdae1493f63dc553e663081df3b9edf89593c76fba6b67eddcd1d1cd22966345e7d9a535e8603ed3a8f619fda41a1a8b1db9f SHA512 ad996f0df612741ce36e3549d846d3fc507f687e41ed4fb5bd694faa48906da7ca4054d56ab90fe2e64d4548955ec366867be29a449044c357e45b147e475fd9

+ 73
- 0
app-emulation/docker-compose/docker-compose-1.27.0_rc3.ebuild View File

@@ -0,0 +1,73 @@
# Copyright 2018-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{6,7} )
DISTUTILS_USE_SETUPTOOLS=rdepend

inherit bash-completion-r1 distutils-r1

MY_PV=${PV/_/-}
DESCRIPTION="Multi-container orchestration for Docker"
HOMEPAGE="https://github.com/docker/compose"
SRC_URI="https://github.com/docker/compose/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"

RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
>=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
>=dev-python/docker-py-4.3.1[${PYTHON_USEDEP}]
>=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
>=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
>=dev-python/python-dotenv-0.13.0[${PYTHON_USEDEP}]
>=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
dev-python/paramiko[${PYTHON_USEDEP}]
>=dev-python/PySocks-1.6.0[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
>=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
>=dev-python/six-1.3.0[${PYTHON_USEDEP}]
>=dev-python/texttable-0.9.0[${PYTHON_USEDEP}]
>=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]"

DEPEND="${RDEPEND}
test? (
>=dev-python/pytest-5[${PYTHON_USEDEP}]
>=dev-python/ddt-1.2.2[${PYTHON_USEDEP}]
)"

S="${WORKDIR}/compose-${MY_PV}"

PATCHES=(
# Bug #679968 -- https://bugs.gentoo.org/679968
# Bug #681002 -- https://bugs.gentoo.org/681002
"${FILESDIR}"/${PN}-1.27.0_rc3-setup-py.patch
)

DOCS=( CHANGELOG.md README.md )

src_prepare() {
# Address QA issue "docker-compose.exe: missing alias (symlink) for completed command."
sed 's,^\(complete.*\) docker-compose\.exe\(.*\),\1\2,' -i contrib/completion/bash/docker-compose || die

default
}

python_test() {
distutils_install_for_testing
${PYTHON} -m pytest tests/unit/ || die "tests failed under ${EPYTHON}"
}

python_install_all() {
newbashcomp contrib/completion/bash/docker-compose ${PN}

insinto /usr/share/zsh/site-functions
doins contrib/completion/zsh/*

distutils-r1_python_install_all
}

+ 67
- 0
app-emulation/docker-compose/files/docker-compose-1.27.0_rc3-setup-py.patch View File

@@ -0,0 +1,67 @@
From 3b4800ed5b24cea7af00aa868964e3d46e81364e Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Thu, 3 Sep 2020 19:59:36 +0200
Subject: [PATCH] setup.py: Drop generic upper version boundaries

---
setup.py | 34 +++++++++++++++++-----------------
1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/setup.py b/setup.py
index e0d4340..648a736 100644
--- a/setup.py
+++ b/setup.py
@@ -25,33 +25,33 @@ def find_version(*file_paths):
install_requires = [
- 'cached-property >= 1.2.0, < 2',
- 'docopt >= 0.6.1, < 1',
- 'PyYAML >= 3.10, < 6',
- 'requests >= 2.20.0, < 3',
- 'texttable >= 0.9.0, < 2',
- 'websocket-client >= 0.32.0, < 1',
- 'distro >= 1.5.0, < 2',
- 'docker[ssh] >= 4.3.1, < 5',
- 'dockerpty >= 0.4.1, < 1',
- 'jsonschema >= 2.5.1, < 4',
- 'python-dotenv >= 0.13.0, < 1',
+ 'cached-property >= 1.2.0',
+ 'docopt >= 0.6.1',
+ 'PyYAML >= 3.10',
+ 'requests >= 2.20.0',
+ 'texttable >= 0.9.0',
+ 'websocket-client >= 0.32.0',
+ 'distro >= 1.5.0',
+ 'docker[ssh] >= 4.3.1',
+ 'dockerpty >= 0.4.1',
+ 'jsonschema >= 2.5.1',
+ 'python-dotenv >= 0.13.0',
]
tests_require = [
- 'ddt >= 1.2.2, < 2',
- 'pytest < 6',
+ 'ddt >= 1.2.2',
+ 'pytest',
]
if sys.version_info[:2] < (3, 4):
- tests_require.append('mock >= 1.0.1, < 4')
+ tests_require.append('mock >= 1.0.1')
extras_require = {
- ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5, < 4'],
- ':sys_platform == "win32"': ['colorama >= 0.4, < 1'],
- 'socks': ['PySocks >= 1.5.6, != 1.5.7, < 2'],
+ ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
+ ':sys_platform == "win32"': ['colorama >= 0.4'],
+ 'socks': ['PySocks >= 1.5.6, != 1.5.7'],
'tests': tests_require,
}
--
2.27.0


+ 1
- 1
app-emulation/lxc/lxc-4.0.4.ebuild View File

@@ -10,7 +10,7 @@ HOMEPAGE="https://linuxcontainers.org/ https://github.com/lxc/lxc"
SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz
https://github.com/lxc/lxc/archive/${P}.tar.gz"

KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"

LICENSE="LGPL-3"
SLOT="0"


BIN
app-eselect/Manifest.gz View File


+ 1
- 1
app-eselect/eselect-chuck/eselect-chuck-1.0.2.ebuild View File

@@ -9,7 +9,7 @@ SRC_URI="mirror://gentoo/chuck.eselect-${PVR}.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 x86"
IUSE=""

RDEPEND=">=app-admin/eselect-1.2.3"


BIN
app-i18n/Manifest.gz View File


+ 1
- 0
app-i18n/ibus-hangul/Manifest View File

@@ -1 +1,2 @@
DIST ibus-hangul-1.5.3.tar.gz 525834 BLAKE2B 6c92dbbde39bc42b7df974dbb23c9ef62088c8d3f63a500bd3c7e9c90b3d80d16dc1d76616620e1d7590fee549979a03585ac635761687dc11737d65fdf09e08 SHA512 ba21a8afb750e33744042c5e4f9d88891764921a37c4dbe1f4efa9883fd3c889789854af57adcd24bc1ca365ee49d2e01073c54d72cd025558b41788fb6213b4
DIST ibus-hangul-1.5.4.tar.gz 542612 BLAKE2B 46495c04a37888a3ed21831b5bbca5b788f4d3a831fb3ce4eb13d95f302877fadddf831016f1d29aa2c1a6ba73fc0d585f2be57c10267a51a1a2186642632918 SHA512 dc4c755349424605de3832496a8a0cf7e8da577cbeff85d2b03da187fd5fdc9de5475eb523c69310e4f7edbb9a513f6f218de082ba32a25a477cdf5eb6f65513

+ 1
- 1
app-i18n/ibus-hangul/ibus-hangul-1.5.3-r1.ebuild View File

@@ -10,7 +10,7 @@ DESCRIPTION="Korean Hangul engine for IBus"
HOMEPAGE="https://github.com/libhangul/ibus-hangul/wiki"
SRC_URI="https://github.com/libhangul/${PN}/releases/download/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="nls"


+ 49
- 0
app-i18n/ibus-hangul/ibus-hangul-1.5.4.ebuild View File

@@ -0,0 +1,49 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
PYTHON_COMPAT=( python3_{6,7,8} )

inherit gnome2-utils python-single-r1 xdg

DESCRIPTION="Korean Hangul engine for IBus"
HOMEPAGE="https://github.com/libhangul/ibus-hangul/wiki"
SRC_URI="https://github.com/libhangul/${PN}/releases/download/${PV}/${P}.tar.gz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="nls"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="${PYTHON_DEPS}
$(python_gen_cond_dep '
app-i18n/ibus[python(+),${PYTHON_MULTI_USEDEP}]
dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
')
>=app-i18n/libhangul-0.1
nls? ( virtual/libintl )"
DEPEND="${RDEPEND}"
BDEPEND="sys-devel/gettext
virtual/pkgconfig"

src_configure() {
econf \
$(use_enable nls) \
--with-python=${EPYTHON}
}

pkg_preinst() {
xdg_pkg_preinst
gnome2_schemas_savelist
}

pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}

pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

+ 1
- 0
app-i18n/ibus-table-chinese/Manifest View File

@@ -1 +1,2 @@
DIST ibus-table-chinese-1.8.2.tar.gz 10576111 BLAKE2B a80fa9c4780207efefba1118ee9dacc33dba4136b916a24971198b3325bf1b26f86cd4586db994db6dfaa85fffe087b021673d056b10df61c5f95ede4e967cd6 SHA512 30fd1c7ee8416cd62d8e26bc2646a667ac45c4579a7cb191c77e80fecccbc576c34f33ec0b5c55669c073a633298cfda1711e4b9d89a9ef8f6146acdc0167c1a
DIST ibus-table-chinese-1.8.3.tar.gz 10824912 BLAKE2B e9f4e377a794827196e04e197044b3fdcd81d84ed89067e17745879495df69cc6e95814863f856cc0a7b7db0aba3cbd93d1c1d172f607fdd410dbed02dc4ad54 SHA512 610455343d9c9bf6577c7fd7aef9435c339c2f23c4d5f7ae2cbbc2366a9eb6a8a124e86621387497cc624e3276bf739b55602355ad41c4127f45f6d85cc5b4dc

+ 6
- 6
app-i18n/ibus-table-chinese/ibus-table-chinese-1.8.2.ebuild View File

@@ -1,19 +1,19 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
EAPI="7"
CMAKE_IN_SOURCE_BUILD="1"
CMAKE_MAKEFILE_GENERATOR="emake"

inherit cmake-utils
inherit cmake

DESCRIPTION="Chinese tables for IBus-Table"
HOMEPAGE="https://github.com/definite/ibus-table-chinese"
SRC_URI="https://github.com/definite/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""

RDEPEND="app-i18n/ibus-table"
@@ -27,5 +27,5 @@ src_configure() {
-DMANAGE_DEPENDENCY_PACKAGE_EXISTS_CMD=false
-DPRJ_DOC_DIR="${EPREFIX}"/usr/share/doc/${PF}
)
cmake-utils_src_configure
cmake_src_configure
}

+ 31
- 0
app-i18n/ibus-table-chinese/ibus-table-chinese-1.8.3.ebuild View File

@@ -0,0 +1,31 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
CMAKE_IN_SOURCE_BUILD="1"
CMAKE_MAKEFILE_GENERATOR="emake"

inherit cmake

DESCRIPTION="Chinese tables for IBus-Table"
HOMEPAGE="https://github.com/definite/ibus-table-chinese"
SRC_URI="https://github.com/definite/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="app-i18n/ibus-table"
DEPEND="${RDEPEND}
dev-util/cmake-fedora"

src_configure() {
local mycmakeargs=(
-DCMAKE_FEDORA_TMP_DIR="${T}"
-DDATA_DIR="${EPREFIX}"/usr/share
-DMANAGE_DEPENDENCY_PACKAGE_EXISTS_CMD=false
-DPRJ_DOC_DIR="${EPREFIX}"/usr/share/doc/${PF}
)
cmake_src_configure
}

+ 7
- 6
app-i18n/ibus-table-chinese/metadata.xml View File

@@ -1,10 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>cjk@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="github">definite/ibus-table-chinese</remote-id>
</upstream>
<maintainer type="project">
<email>cjk@gentoo.org</email>
<name>Cjk</name>
</maintainer>
<upstream>
<remote-id type="github">definite/ibus-table-chinese</remote-id>
</upstream>
</pkgmetadata>

+ 1
- 0
app-i18n/ibus-table-others/Manifest View File

@@ -1 +1,2 @@
DIST ibus-table-others-1.3.11.tar.gz 662398 BLAKE2B a600535b51b731c482eeecb78b8bff6ca14795e411348ed0e2cd4207ad1a89aed7d338c6b706695dd734f405ee5203e23dfffa370cae12ad763eabf6bbdfe848 SHA512 bfa17338e3a6a3e392bb3e5e5736af9bfa5584a897aea4ca72aec0df2c84dc94a0737f8fb87ced382e6acac3f8169ed2aef93a2f94330a4829048d009cb96ee0
DIST ibus-table-others-1.3.9.tar.gz 627253 BLAKE2B b4c72ead9364945a3f15a348aa14e0886ebc7c7fd35448d573540ffd9510139630ac22228229ee1a37687e01179a0ec880ce170e84a196b0defe5c059b662583 SHA512 4557ba981a00035226b6cbe0d97ae14df275d3e7c5c453097b85e433a524e00efeebe508621495e63d6ff9cdd590f9d54b51a143147b83e1e3748f05b03d2019

+ 21
- 0
app-i18n/ibus-table-others/ibus-table-others-1.3.11.ebuild View File

@@ -0,0 +1,21 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

DESCRIPTION="Various tables for IBus-Table"
HOMEPAGE="https://github.com/moebiuscurve/ibus-table-others"
SRC_URI="https://github.com/moebiuscurve/${PN}/releases/download/${PV}/${P}.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="app-i18n/ibus-table
!app-i18n/ibus-table-code
!app-i18n/ibus-table-cyrillic
!app-i18n/ibus-table-latin
!app-i18n/ibus-table-tv"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

+ 6
- 6
app-i18n/ibus-table-others/ibus-table-others-1.3.9.ebuild View File

@@ -1,15 +1,15 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
EAPI="7"

DESCRIPTION="Various tables for IBus-Table"
HOMEPAGE="https://github.com/moebiuscurve/ibus-table-others"
SRC_URI="https://github.com/moebiuscurve/${PN}/releases/download/${PV}/${P}.tar.gz"

LICENSE="GPL-3"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""

RDEPEND="app-i18n/ibus-table
@@ -17,5 +17,5 @@ RDEPEND="app-i18n/ibus-table
!app-i18n/ibus-table-cyrillic
!app-i18n/ibus-table-latin
!app-i18n/ibus-table-tv"
DEPEND="${RDEPEND}
virtual/pkgconfig"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

BIN
app-misc/Manifest.gz View File


+ 1
- 1
app-misc/gnutu/gnutu-2.9.ebuild View File

@@ -9,7 +9,7 @@ SRC_URI="https://master.dl.sourceforge.net/project/gnutu/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 x86"
IUSE=""

RDEPEND="


+ 1
- 1
app-misc/ktoblzcheck/ktoblzcheck-1.49-r2.ebuild View File

@@ -9,7 +9,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 ~arm64 ~ppc ~ppc64 ~sparc x86"
IUSE=""

RDEPEND="


+ 11
- 0
app-misc/razertool/files/razertool-0.0.7-ar.patch View File

@@ -0,0 +1,11 @@
diff -Naur razertool-0.0.7.orig/configure.in razertool-0.0.7/configure.in
--- razertool-0.0.7.orig/configure.in 2006-08-13 21:57:35.000000000 +0200
+++ razertool-0.0.7/configure.in 2020-09-03 12:53:51.991020189 +0200
@@ -10,6 +10,7 @@
dnl checks for programs
AC_ISC_POSIX
AC_PROG_CC
+AM_PROG_AR
AM_PROG_CC_STDC
AC_PROG_RANLIB
AC_HEADER_STDC

+ 14
- 8
app-misc/razertool/razertool-0.0.7-r4.ebuild View File

@@ -1,8 +1,8 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
inherit eutils
inherit autotools eutils

DESCRIPTION="Unofficial tool for controlling the Razer Copperhead mouse"
HOMEPAGE="http://razertool.sourceforge.net/"
@@ -13,10 +13,10 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="gtk"

RDEPEND="virtual/libusb:0
RDEPEND="dev-libs/glib:2
virtual/libusb:0
gtk? (
dev-libs/atk
dev-libs/glib:2
>=gnome-base/librsvg-2.0
>=x11-libs/cairo-1.0.0
x11-libs/gdk-pixbuf
@@ -27,17 +27,21 @@ DEPEND="${RDEPEND}

DOCS=( AUTHORS ChangeLog NEWS README )

PATCHES=( "${FILESDIR}"/${P}-ar.patch )

src_prepare() {
default

sed -i razertool.rules.example \
-e 's:ACTION=="add", ::;s:BUS=:SUBSYSTEMS=:;s:SYSFS{:ATTRS{:g' \
|| die "sed razertool.rules.example action failed"
|| die

# plugdev group may not exist (created by hal), default to usb
sed -i razertool.rules.example \
-e 's:plugdev:usb:' \
|| die "sed razertool.rules.example plugdev failed"
|| die

eautoreconf
}

src_configure() {
@@ -51,8 +55,10 @@ src_install() {
newins razertool.rules.example 90-razertool.rules

# Icon and desktop entry
dosym ../razertool/pixmaps/razertool-icon.png /usr/share/pixmaps/razertool-icon.png
make_desktop_entry "razertool-gtk" "RazerTool" ${PN}-icon "GTK;Settings;HardwareSettings"
if use gtk; then
dosym ../razertool/pixmaps/razertool-icon.png /usr/share/pixmaps/razertool-icon.png
make_desktop_entry "razertool-gtk" "RazerTool" ${PN}-icon "GTK;Settings;HardwareSettings"
fi
}

pkg_postinst() {


+ 1
- 1
app-misc/uptimed/uptimed-0.4.2.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/rpodgorny/uptimed/archive/v${PV}.tar.gz -> ${P}.tar.

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~mips ppc ~ppc64 sparc x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~mips ppc ppc64 sparc x86"
IUSE="static-libs"

RDEPEND="


BIN
app-mobilephone/Manifest.gz View File


+ 1
- 0
app-mobilephone/adb-sync/Manifest View File

@@ -1 +1,2 @@
DIST adb-sync-0_p20181127.tar.gz 13952 BLAKE2B b9097f44eebd76e54cee41f097933f85151399e99275268274252b53f47ab241ecb888f3631dd9f657213160f02e9f3638d782fb24de8e38631d0e2a81b6b03e SHA512 007b9ec089170f3e679a26f23952043ad922a2f988532183200ddd15792858d4d38c6dbd617b32ff0e17d01b37b246c173e4a3f8c008f7cf4bca551e64cd0ca3
DIST adb-sync-0_p20190101.tar.gz 13956 BLAKE2B 380109fa302fc5376de8124aa31c3fa03a27ece22d7f2d74638a5387820ad7c2b294daa6e8185f6eef49524e987d7a7f1222a1ee3b6550247993ebcc7c1ac98d SHA512 8bd5eb514c63327860017402f509231a0882cd3624ed3350039b2383f38e503abc6cd319ff41a47d70031958b0b38b973c36272fc4af6e69cce54e15e6bb6990

+ 32
- 0
app-mobilephone/adb-sync/adb-sync-0_p20190101.ebuild View File

@@ -0,0 +1,32 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
PYTHON_COMPAT=( python3_{6,7,8} )

inherit python-single-r1

COMMIT=fb7c549753de7a5579ed3400dd9f8ac71f7bf1b1

DESCRIPTION="Synchronize files between a PC and an Android device using ADB"
HOMEPAGE="https://github.com/google/adb-sync"